package train.vehicule;

public class Motrice extends Vehicule {

    private double puissanceTraction;

    /*
     * Une motrice est définie de manière spécifique par la puissance
     * de sa traction.
     */
    public Motrice(double poidsAVide, int nbRoues, double puissanceTraction) {
        super(poidsAVide, nbRoues);
        this.puissanceTraction = puissanceTraction;
    }

    public double getPoidsEnChargeMaxi() {
        return poidsAVide;
    }

    public String toString() {
        return String.format("%-25s", "[Motrice " + puissanceTraction + " kW  ") + super.toString() + " ]";
    }
}
